#!/usr/bin/env python

import os
import sys
from netCDF4 import Dataset
import numpy as np



#------------------------------------ M A I N ------------------------------------

if __name__ == "__main__":

    tt = '0055'
    inFile = '../pace-g5nr.lb.met_Nv.20060325_{}00.nc4'.format(tt)
    nc = Dataset(inFile,'r+')

    inFile = 'pace-g5nr.lb.met_Nv_uv.20060325_{}00.nc4'.format(tt)
    ncuv = Dataset(inFile)

    v = ncuv.variables['V']
    vout = nc.createVariable('V','f4',v.dimensions,fill_value=v._FillValue)
    vout.standard_name = 'V'
    vout.long_name = ""
    vout.missing_value = v.missing_value
    vout.units = "m s-1"
    vout = nc.variables['V']
    vout[:] = v[:]

    u = ncuv.variables['U']
    uout = nc.createVariable('U','f4',u.dimensions,fill_value=u._FillValue)
    uout.standard_name = 'U'
    uout.long_name = ""
    uout.missing_value = v.missing_value
    uout.units = "m s-1"
    uout = nc.variables['U']
    uout[:] = u[:]

    nc.close()
    ncuv.close()

